function [x] = NewtonCos( x0, N )
% Run Newton-Iteration for the specific function f(x) = cos(x) - 1. Here,
% x0 is the initial value and kmax is the number of iterations. Returns a
% vector of all iterates.

% Start at x0.
xk = x0;
% Prepare output:
x = zeros(1,N);
% Run Newton-Iteration:
for i = 1:N
    xk = xk + (cos(xk)-1)/sin(xk);
    x(i) = xk;
end
end

